
QGIS Application - Bug report #3550

Labels scale dependency not saved

2011-03-06 12:32 PM - andskog -

Status: Closed

Priority: Low

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 13610

Description

When applying scale dependent rendering on labels in a layers properties, this setting, when pressing Save As Default, is not recorded in

the .QML file. Same thing when saving a project, label scale dependencies are left out from the project file.

History

#1 - 2011-03-06 12:50 PM - John Tull

Also, the "display name" is not saved. I believe this is related, so adding it here.

#2 - 2011-03-29 09:17 PM - sunilkcube -

- Status changed from Open to In Progress

#3 - 2011-03-30 02:29 AM - sunilkcube -

- Status changed from In Progress to Closed

- Resolution set to worksforme

Replying to andskog:

it is working for me. Can anyone conform this bug , if so can you list the steps ?

#4 - 2011-03-30 02:30 AM - sunilkcube -

- Resolution deleted (worksforme)

- Status changed from Closed to Feedback

#5 - 2011-03-30 02:30 AM - sunilkcube -

- Resolution set to worksforme

- Status changed from Feedback to Closed

#6 - 2011-11-18 09:22 AM - Roger Diercks

I am experiencing the issue with layer label scale dependencies not being saved to the project file in both 1.7.1. and 1.7.2 running Ubuntu 11.04. It works

as intended in 1.7.1 in Windows 7.

#7 - 2011-11-18 09:59 AM - Giovanni Manghi

- Assignee deleted (sunilkcube -)

- Pull Request or Patch supplied set to No
Roger Diercks wrote:

I am experiencing the issue with layer label scale dependencies not being saved to the project file in both 1.7.1. and 1.7.2 running Ubuntu 11.04. It

works as intended in 1.7.1 in Windows 7.

it works for me under Ubuntu 11.10 with qgis 1.7.2

#8 - 2012-02-21 03:24 AM - cdavilam -

- OS version set to debian squeeze

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Operating System changed from Windows to Linux

- Target version changed from Version 1.7.0 to Version 1.8.0

- Status changed from Closed to Reopened

Confirmed on debian squeeze, using master (1.9.90-Alpha rev a1ac714), 1.7.3 and 1.7.4.

Steps:

Load some layers into a project, label one of them by a given field and active "Use scale dependent rendering". Save project and exit QGIS. When you

reopen the project, scale dependent rendering has gone and labels are shown at all zoom levels.

#9 - 2012-05-13 11:49 PM - Dmitry D

Confirmed on Windows 7 32 bit, QGIS 1.7.4 411aff6, and on Android 3.2 QGIS QGIS 1.9.90 a8cf00d

I've inserted specific instructions into qgs-file manually.

Original string:

<maplayer minimumScale="0" maximumScale="1e+08" geometry="Polygon" type="vector" hasScaleBasedVisibilityFlag="0">

Manually modified string:

<maplayer minimumScale="1" maximumScale="1e+08" minLabelScale="1" maxLabelScale="1e+05" geometry="Polygon" type="vector"

hasScaleBasedVisibilityFlag="1" scaleBasedLabelVisibilityFlag="1" >

I've opened modified project - everything was OK, label only within 100 000 scale, but when I tried to close project, system asked to save changes (I've

changed nothing). Positive answer caused following changes to the above mentioned string:

<maplayer minimumScale="1" maximumScale="1e+08" geometry="Polygon" type="vector" hasScaleBasedVisibilityFlag="1">

#10 - 2012-08-06 05:21 PM - Alister Hood

- Status info deleted (0)

- Category changed from Symbology to Labelling

- Target version deleted (Version 1.8.0)

- Operating System changed from Linux to All

- OS version deleted (debian squeeze)

If I read correctly, this is a problem with "old labelling", so will not be applicable when "old labelling" is removed.
#11 - 2012-08-06 05:22 PM - Alister Hood

- Resolution deleted (worksforme)

#12 - 2012-09-04 12:10 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#13 - 2012-09-16 02:48 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Reopened to Closed

Alister Hood wrote:

If I read correctly, this is a problem with "old labelling", so will not be applicable when "old labelling" is removed.

anyway seems really fixed in master.

#14 - 2013-05-20 11:05 PM - Willem Buitendyk

- Status changed from Closed to Reopened

I am experiencing this problem with 1.8 on all platforms (Mac, Linux, Win7).  I have 3 WFS layers only.  Saving or settings as default does nothing upon

exiting and reopening.

#15 - 2013-05-21 01:53 AM - Giovanni Manghi

- Status changed from Reopened to Closed

Willem Buitendyk wrote:

I am experiencing this problem with 1.8 on all platforms (Mac, Linux, Win7).  I have 3 WFS layers only.  Saving or settings as default does nothing

upon exiting and reopening.

this issue has been fixed in qgis master, aka 2.0. There are no backports. Cheers!

2024-04-17 3/3


